{% extends "../../layout.jinja2" %}

{% block content %}
<div class="card">
    <div class="card-header">
        Instrument
    </div>
    <div class="card-body">
        <dl>
            <dt>Interferometer</dt>
            <dd><a href="{{ request.route_path('detail', type='interferometer', id=instrument.interferometer.id) }}">{{ instrument.interferometer.name }}</a></dd>
            <dt>ID</dt>
            <dd>{{ instrument.id }}</dd>
            <dt>Name</dt>
            <dd>{{ instrument.name }}</dd>
            <dt>Header Count</dt>
            <dd>{{ instrument.headers_count or 0 }}</dd>
            <dt>Observation Count</dt>
            <dd>{{ instrument.observations_count or 0 }}</dd>
            <dt>Exposure Count</dt>
            <dd>{{ instrument.exposures_count or 0 }}</dd>
        </dl>
    </div>
</div>

<div class="card">
    <div class="card-header">
        Modes
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Wavelength min</th>
                    <th>Wavelength max</th>
                    <th>Resolution</th>
                    <th>Observation Count</th>
                    <th>Exposure Count</th>
                </tr>
            </thead>
            <tbody>
            {% for mode in instrument.modes %}
                <tr>
                    <td>{{ mode.id }}</td>
                    <td>{{ mode.name }}</td>
                    <td>{{ mode.wavelength_min }}</td>
                    <td>{{ mode.wavelength_max }}</td>
                    <td>{{ mode.spectral_resolution }}</td>
                    <td>{{ mode.observations_count or 0 }}</td>
                    <td>{{ mode.exposures_count or 0 }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endblock content %}